Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.event
Class AjaxValidationActionEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              javax.faces.event.ActionEvent
                  org.ajax4jsf.event.AjaxValidationActionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class AjaxValidationActionEvent

extends javax.faces.event.ActionEvent

Action event - always assigned to `PhaseId.PROCESS_VALIDATIONS` phase for bypass change phase in components , setPhaseId method do nothing.

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:57:37 $
Author:
  shura (latest modification by $Author: alexsmirnov $)
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AjaxValidationActionEvent(javax.faces.component.UIComponent component)`

Method Summary
`javax.faces.event.PhaseId` | `getPhaseId()`

Methods inherited from class javax.faces.event.ActionEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AjaxValidationActionEvent

    public AjaxValidationActionEvent(javax.faces.component.UIComponent component)

Parameters:
  `component` -

Method Detail

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Overrides:
    `getPhaseId` in class `javax.faces.event.FacesEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.